@ -1531,8 +1531,6 @@ Optional Packages:
--with-user=uid name of the clamav user (default=clamav)
--with-group=gid name of the clamav group (default=clamav)
--with-dbdir=path path to virus database directory
--with-db1=name name of the main database (default=main.cvd)
--with-db2=name name of the daily database (default=daily.cvd)
--with-tcpwrappers support hosts.allow / hosts.deny (default=auto)
Some influential environment variables:
@ -4715,7 +4713,7 @@ ia64-*-hpux*)
;;
*-*-irix6*)
# Find out which ABI we are using.
echo '#line 4718 "configure"' > conftest.$ac_ext
echo '#line 4716 "configure"' > conftest.$ac_ext
if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
(eval $ac_compile) 2>&5
ac_status=$?
@ -7442,11 +7440,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:7445 : $lt_compile\"" >&5)
(eval echo "\"\$as_me:7443 : $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
echo "$as_me:7449 : \$? = $ac_status" >&5
echo "$as_me:7447 : \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@ -7710,11 +7708,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:7713 : $lt_compile\"" >&5)
(eval echo "\"\$as_me:7711 : $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
echo "$as_me:7717 : \$? = $ac_status" >&5
echo "$as_me:7715 : \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@ -7814,11 +7812,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:7817 : $lt_compile\"" >&5)
(eval echo "\"\$as_me:7815 : $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
echo "$as_me:782 1: \$? = $ac_status" >&5
echo "$as_me:7819 : \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@ -10111,7 +10109,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
#line 10114 "configure"
#line 10112 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -10211,7 +10209,7 @@ else
lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
lt_status=$lt_dlunknown
cat > conftest.$ac_ext <<EOF
#line 10214 "configure"
#line 10212 "configure"
#include "confdefs.h"
#if HAVE_DLFCN_H
@ -12547,11 +12545,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:12550 : $lt_compile\"" >&5)
(eval echo "\"\$as_me:12548 : $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
echo "$as_me:12554 : \$? = $ac_status" >&5
echo "$as_me:12552 : \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@ -12651,11 +12649,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:12654 : $lt_compile\"" >&5)
(eval echo "\"\$as_me:12652 : $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
echo "$as_me:12658 : \$? = $ac_status" >&5
echo "$as_me:12656 : \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@ -14212,11 +14210,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:14215 : $lt_compile\"" >&5)
(eval echo "\"\$as_me:14213 : $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
echo "$as_me:14219 : \$? = $ac_status" >&5
echo "$as_me:14217 : \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@ -14316,11 +14314,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:14319 : $lt_compile\"" >&5)
(eval echo "\"\$as_me:14317 : $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
echo "$as_me:14323 : \$? = $ac_status" >&5
echo "$as_me:14321 : \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@ -16503,11 +16501,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:16506 : $lt_compile\"" >&5)
(eval echo "\"\$as_me:16504 : $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
echo "$as_me:1651 0: \$? = $ac_status" >&5
echo "$as_me:16508 : \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@ -16771,11 +16769,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:16774 : $lt_compile\"" >&5)
(eval echo "\"\$as_me:16772 : $lt_compile\"" >&5)
(eval "$lt_compile" 2>conftest.err)
ac_status=$?
cat conftest.err >&5
echo "$as_me:16778 : \$? = $ac_status" >&5
echo "$as_me:16776 : \$? = $ac_status" >&5
if (exit $ac_status) && test -s "$ac_outfile"; then
# The compiler can only warn and ignore the option if not recognized
# So say no if there are warnings other than the usual output.
@ -16875,11 +16873,11 @@ else
-e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
-e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
-e 's:$: $lt_compiler_flag:'`
(eval echo "\"\$as_me:16878 : $lt_compile\"" >&5)
(eval echo "\"\$as_me:16876 : $lt_compile\"" >&5)
(eval "$lt_compile" 2>out/conftest.err)
ac_status=$?
cat out/conftest.err >&5
echo "$as_me:16882 : \$? = $ac_status" >&5
echo "$as_me:16880 : \$? = $ac_status" >&5
if (exit $ac_status) && test -s out/conftest2.$ac_objext
then
# The compiler can only warn and ignore the option if not recognized
@ -20408,7 +20406,7 @@ fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_socket_bind" >&5
echo "${ECHO_T}$ac_cv_lib_socket_bind" >&6; }
if test $ac_cv_lib_socket_bind = yes; then
LIBS="$LIBS -lsocket"; CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -lsocket"; LDFLAGS="$LDFLAGS -lsocket"; FRESHCLAM_LIBS="$FRESHCLAM_LIBS -lsocket"; CLAMD_LIBS="$CLAMD_LIBS -lsocket"
LIBS="$LIBS -lsocket"; CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -lsocket"; FRESHCLAM_LIBS="$FRESHCLAM_LIBS -lsocket"; CLAMD_LIBS="$CLAMD_LIBS -lsocket"
fi
{ echo "$as_me:$LINENO: checking for gethostent in -lnsl" >&5
@ -20473,7 +20471,73 @@ fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_nsl_gethostent" >&5
echo "${ECHO_T}$ac_cv_lib_nsl_gethostent" >&6; }
if test $ac_cv_lib_nsl_gethostent = yes; then
LIBS="$LIBS -lnsl"; CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -lnsl"; LDFLAGS="$LDFLAGS -lnsl"; FRESHCLAM_LIBS="$FRESHCLAM_LIBS -lnsl"; CLAMD_LIBS="$CLAMD_LIBS -lnsl"
LIBS="$LIBS -lnsl"; CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -lnsl"; FRESHCLAM_LIBS="$FRESHCLAM_LIBS -lnsl"; CLAMD_LIBS="$CLAMD_LIBS -lnsl"
fi
{ echo "$as_me:$LINENO: checking for libiconv_open in -liconv" >&5
echo $ECHO_N "checking for libiconv_open in -liconv... $ECHO_C" >&6; }
if test "${ac_cv_lib_iconv_libiconv_open+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_check_lib_save_LIBS=$LIBS
LIBS="-liconv $LIBS"
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
/* Override any GCC internal prototype to avoid an error.
Use char because int might match the return type of a GCC
builtin and then its argument prototype would still apply. */
#ifdef __cplusplus
extern "C"
#endif
char libiconv_open ();
int
main ()
{
return libiconv_open ();
;
return 0;
}
_ACEOF
rm -f conftest.$ac_objext conftest$ac_exeext
if { (ac_try="$ac_link"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_link") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } && {
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest$ac_exeext &&
$as_test_x conftest$ac_exeext; then
ac_cv_lib_iconv_libiconv_open=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_cv_lib_iconv_libiconv_open=no
fi
rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
conftest$ac_exeext conftest.$ac_ext
LIBS=$ac_check_lib_save_LIBS
fi
{ echo "$as_me:$LINENO: result: $ac_cv_lib_iconv_libiconv_open" >&5
echo "${ECHO_T}$ac_cv_lib_iconv_libiconv_open" >&6; }
if test $ac_cv_lib_iconv_libiconv_open = yes; then
LIBCLAMAV_LIBS="$LIBCLAMAV_LIBS -liconv"
fi
@ -21414,7 +21478,6 @@ echo "$as_me: WARNING: ****** stability problems to the ClamAV developers!" >&2;
fi
if test "$ZLIB_HOME" != "/usr"; then
LDFLAGS="$LDFLAGS -L$ZLIB_HOME/lib"
CPPFLAGS="$CPPFLAGS -I$ZLIB_HOME/include"
{ echo "$as_me:$LINENO: checking for inflateEnd in -lz" >&5
echo $ECHO_N "checking for inflateEnd in -lz... $ECHO_C" >&6; }
@ -22146,25 +22209,19 @@ if test $ac_cv_lib_resolv_dn_expand = yes; then
fi
fi
if test "${ac_cv_header_resolv_h+set}" = set; then
{ echo "$as_me:$LINENO: checking for resolv.h" >&5
{ echo "$as_me:$LINENO: checking for resolv.h" >&5
echo $ECHO_N "checking for resolv.h... $ECHO_C" >&6; }
if test "${ac_cv_header_resolv_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_resolv_h" >&5
echo "${ECHO_T}$ac_cv_header_resolv_h" >&6; }
else
# Is the header compilable?
{ echo "$as_me:$LINENO: checking resolv.h usability" >&5
echo $ECHO_N "checking resolv.h usability... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
$ac_includes_default
#include <netinet/in.h>
#include <resolv.h>
_ACEOF
rm -f conftest.$ac_objext
@ -22184,93 +22241,18 @@ eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
test -z "$ac_c_werror_flag" ||
test ! -s conftest.err
} && test -s conftest.$ac_objext; then
ac_header_compiler =yes
ac_cv_header_resolv_h =yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_compiler =no
ac_cv_header_resolv_h =no
fi
rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
echo "${ECHO_T}$ac_header_compiler" >&6; }
# Is the header present?
{ echo "$as_me:$LINENO: checking resolv.h presence" >&5
echo $ECHO_N "checking resolv.h presence... $ECHO_C" >&6; }
cat >conftest.$ac_ext <<_ACEOF
/* confdefs.h. */
_ACEOF
cat confdefs.h >>conftest.$ac_ext
cat >>conftest.$ac_ext <<_ACEOF
/* end confdefs.h. */
#include <resolv.h>
_ACEOF
if { (ac_try="$ac_cpp conftest.$ac_ext"
case "(($ac_try" in
*\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
*) ac_try_echo=$ac_try;;
esac
eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
(eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
ac_status=$?
grep -v '^ *+' conftest.er1 >conftest.err
rm -f conftest.er1
cat conftest.err >&5
echo "$as_me:$LINENO: \$? = $ac_status" >&5
(exit $ac_status); } >/dev/null && {
test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
test ! -s conftest.err
}; then
ac_header_preproc=yes
else
echo "$as_me: failed program was:" >&5
sed 's/^/| /' conftest.$ac_ext >&5
ac_header_preproc=no
fi
rm -f conftest.err conftest.$ac_ext
{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
echo "${ECHO_T}$ac_header_preproc" >&6; }
# So? What about this header?
case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
yes:no: )
{ echo "$as_me:$LINENO: WARNING: resolv.h: accepted by the compiler, rejected by the preprocessor!" >&5
echo "$as_me: WARNING: resolv.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
{ echo "$as_me:$LINENO: WARNING: resolv.h: proceeding with the compiler's result" >&5
echo "$as_me: WARNING: resolv.h: proceeding with the compiler's result" >&2;}
ac_header_preproc=yes
;;
no:yes:* )
{ echo "$as_me:$LINENO: WARNING: resolv.h: present but cannot be compiled" >&5
echo "$as_me: WARNING: resolv.h: present but cannot be compiled" >&2;}
{ echo "$as_me:$LINENO: WARNING: resolv.h: check for missing prerequisite headers?" >&5
echo "$as_me: WARNING: resolv.h: check for missing prerequisite headers?" >&2;}
{ echo "$as_me:$LINENO: WARNING: resolv.h: see the Autoconf documentation" >&5
echo "$as_me: WARNING: resolv.h: see the Autoconf documentation" >&2;}
{ echo "$as_me:$LINENO: WARNING: resolv.h: section \"Present But Cannot Be Compiled\"" >&5
echo "$as_me: WARNING: resolv.h: section \"Present But Cannot Be Compiled\"" >&2;}
{ echo "$as_me:$LINENO: WARNING: resolv.h: proceeding with the preprocessor's result" >&5
echo "$as_me: WARNING: resolv.h: proceeding with the preprocessor's result" >&2;}
{ echo "$as_me:$LINENO: WARNING: resolv.h: in the future, the compiler will take precedence" >&5
echo "$as_me: WARNING: resolv.h: in the future, the compiler will take precedence" >&2;}
;;
esac
{ echo "$as_me:$LINENO: checking for resolv.h" >&5
echo $ECHO_N "checking for resolv.h... $ECHO_C" >&6; }
if test "${ac_cv_header_resolv_h+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
else
ac_cv_header_resolv_h=$ac_header_preproc
fi
{ echo "$as_me:$LINENO: result: $ac_cv_header_resolv_h" >&5
echo "${ECHO_T}$ac_cv_header_resolv_h" >&6; }
fi
if test $ac_cv_header_resolv_h = yes; then
FRESHCLAM_LIBS="$FRESHCLAM_LIBS $resolv_lib"; CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS $resolv_lib";
cat >>confdefs.h <<\_ACEOF
@ -22826,40 +22808,6 @@ else
fi
# Check whether --with-db1 was given.
if test "${with_db1+set}" = set; then
withval=$with_db1;
cat >>confdefs.h <<_ACEOF
#define DB1NAME "$withval"
_ACEOF
else
cat >>confdefs.h <<\_ACEOF
#define DB1NAME "main.cvd"
_ACEOF
fi
# Check whether --with-db2 was given.
if test "${with_db2+set}" = set; then
withval=$with_db2;
cat >>confdefs.h <<_ACEOF
#define DB2NAME "$withval"
_ACEOF
else
cat >>confdefs.h <<\_ACEOF
#define DB2NAME "daily.cvd"
_ACEOF
fi
if test "$db_dir" = "_default_"
then
if test "$prefix" = "NONE"
@ -23446,11 +23394,9 @@ esac
if test "$have_milter" = "yes"; then
save_LDFLAGS="$LDFLAGS"
if test -d /usr/lib/libmilter ; then
if test -d /usr/lib/libmilter ; then
CLAMAV_MILTER_LIBS="$CLAMAV_MILTER_LIBS -L/usr/lib/libmilter"
fi
LDFLAGS="$LDFLAGS -lmilter $CLAMAV_MILTER_LIBS"
{ echo "$as_me:$LINENO: checking for mi_stop in -lmilter" >&5
echo $ECHO_N "checking for mi_stop in -lmilter... $ECHO_C" >&6; }
if test "${ac_cv_lib_milter_mi_stop+set}" = set; then
@ -23599,7 +23545,6 @@ if test "$ac_res" != no; then
test "$ac_cv_search_strlcpy" = "none required" || CLAMAV_MILTER_XLIB="$ac_cv_search_strlcpy"
fi
LDFLAGS="$save_LDFLAGS $CLAMAV_MILTER_LIBS $CLAMAV_MILTER_XLIB"
$as_unset ac_cv_lib_milter_mi_stop
{ echo "$as_me:$LINENO: checking for mi_stop in -lmilter" >&5
echo $ECHO_N "checking for mi_stop in -lmilter... $ECHO_C" >&6; }
@ -23675,7 +23620,6 @@ fi
fi
LDFLAGS="$save_LDFLAGS"
for ac_header in libmilter/mfapi.h
do